@echo off

REM OSの種類取得
if "%PROCESSOR_ARCHITECTURE%" EQU "x86" (
	set SELCTOSPATH=%~dp0Windows32bit用
	set MESSAGEWORD=32bitドライバー
)
if "%PROCESSOR_ARCHITECTURE%" NEQ "x86" (
	set SELCTOSPATH=%~dp0Windows64bit用
	set MESSAGEWORD=64bitドライバー
)

REM プリンタの構成取得
echo プリンタードライバー自動インストールツール
echo. 
echo 本体のみ ⇒ 1
echo 本体+2TM ⇒ 2
echo キャンセル ⇒ 0
echo.
set /P S_NUM="プリンタ構成の番号を入力し、Enterキーを押してください："
if %S_NUM% == 1 (
	cd /d %SELCTOSPATH%\01.本体のみ
	set MESSAGEWORD=本体のみ：%MESSAGEWORD% インストール中です。（数分かかります）
) else if %S_NUM% == 2 (
	cd /d %SELCTOSPATH%\02.本体+2TM
	set MESSAGEWORD=本体+1TM：%MESSAGEWORD% インストール中です。（数分かかります）
) else (
	exit
)



REM インストール
echo.
REM echo %MESSAGEWORD%
start /wait laninstall.bat

exit


:ERROREND

:END
